# Administration Reference

## fs flushvolume

Purpose

Forces the Cache Manager to discard all cached data from the volume containing a file or directory

Synopsis

    fs flushvolume [-path <dir/file path>+]  [-help]

    fs flushv [-p <dir/file path>+]  [-h]

Description

The fs flushvolume command removes from the cache all data that was fetched from the same volume as each specified directory or file. It does not discard cached status information. The next time an application requests data from a flushed directory or file, the Cache Manager fetches the most current version from a File Server, along with a new callback (if necessary) and associated status information. This command has no effect on two types of data:

1. Data in application program buffers

2. Data that has been changed locally and written to the cache but not yet written to the copy on the file server machine

To discard the data and status information associated with individual files and directories, use the fs flush command. To flush a corrupted mount point, use the fs flushmount command.

Options

-path
  Names a file or directory from each volume for which to discard all cached data. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command flushes from the cache all data fetched from the volume that contains the current working directory:

       % fs flushvolume

Privilege Required

The issuer must have the l (lookup) permission on the ACL of the root directory of the volume that houses the file or directory named by the -path argument, and on the ACL of each directory that precedes it in the pathname.

Related Information

fs flush

fs flushmount

© IBM Corporation 2000. All Rights Reserved